Bug 1108618 - filtering puppet modules when adding them to content views
Summary: filtering puppet modules when adding them to content views
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-12 10:33 UTC by Ales Dujicek
Modified: 2019-09-26 18:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-02 14:06:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6243 None None None 2016-04-22 15:11:00 UTC

Description Ales Dujicek 2014-06-12 10:33:07 UTC
Description of problem:

puppet modules are not filtered by organization

a) when adding puppet modules to content view, WebUI lists all puppet modules including modules from other organizations which cannot be added to content view


b) when other organizations contains more versions of puppet module all versions can be added to content view:

(ACME_Corporation repo)
# hammer puppet-module list --repository-id 1
-------------------------------------|--------|---------|-----------
ID                                   | NAME   | VERSION | AUTHOR    
-------------------------------------|--------|---------|-----------
4a09ade1-a904-482a-9be6-642a2a8a395a | wget   | 1.3.1   | maestrodev
97208df9-0925-4b91-970d-4facfbf47e6b | stdlib | 3.1.0   | puppetlabs
78239c4b-40fe-4129-b134-84aea666fa04 | git    | 0.1.0   | jproyo    
-------------------------------------|--------|---------|-----------

(other organization repo)
# hammer puppet-module list --repository-id 2
-------------------------------------|--------|---------|-----------
ID                                   | NAME   | VERSION | AUTHOR    
-------------------------------------|--------|---------|-----------
5619f1a2-d3dd-4e13-89a6-3927d4de8064 | good   | 2.0.0   | adob      
d6e95c61-3ff4-4221-84bb-d1e6d229ca81 | wget   | 1.4.2   | maestrodev
073d001b-f879-4420-8aa4-600a1273aba0 | stdlib | 2.4.0   | puppetlabs
-------------------------------------|--------|---------|-----------

# hammer content-view create --organization ACME_Corporation --name cv1

# hammer --csv content-view list --organization ACME_Corporation
Content View ID,Name,Label,Composite,Repository IDs
5,cv1,cv1,"",""

# hammer content-view puppet-module add --content-view-id 5 --uuid d6e95c61-3ff4-4221-84bb-d1e6d229ca81
Puppet module added to content view



c) when adding puppet module which is only in other organization then exception is raised:

# hammer content-view puppet-module add --content-view-id 5 --uuid 5619f1a2-d3dd-4e13-89a6-3927d4de8064
Could not add the puppet module:
  undefined method `version' for nil:NilClass

and then puppet-module list command raises exception too:
# hammer content-view puppet-module list --content-view-id 5
undefined method `version' for nil:NilClass



Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140605.0

Comment 2 Justin Sherrill 2014-06-16 20:13:42 UTC
Created redmine issue http://projects.theforeman.org/issues/6243 from this bug

Comment 3 Bryan Kearney 2014-06-18 20:04:53 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6243 has been closed

Comment 6 Tazim Kolhar 2014-06-20 08:43:13 UTC
VERIFIED

# hammer puppet-module list --repository-id 1
-------------------------------------|------|---------|-----------
ID                                   | NAME | VERSION | AUTHOR    
-------------------------------------|------|---------|-----------
30c3ef3d-892d-40e2-99a2-88f2d361bbbb | motd | 1.0.3   | jeffmccune
-------------------------------------|------|---------|-----------


# hammer content-view info --name con_view --organization ACME_Corporation
ID:             2
Name:           con_view
Label:          con_view
Composite:      
Description:    
Organization:   ACME_Corporation
Repositories:   

Puppet Modules: 

Environments:   

Versions:       

Components:

# hammer content-view puppet-module add --content-view-id 2 --uuid 30c3ef3d-892d-40e2-99a2-88f2d361bbbb
Puppet module added to content view

# hammer content-view puppet-module list --content-view-id 2
---|--------------------------------------|------|-----------
ID | UUID                                 | NAME | AUTHOR    
---|--------------------------------------|------|-----------
1  | 30c3ef3d-892d-40e2-99a2-88f2d361bbbb | motd | jeffmccune
---|--------------------------------------|------|-----------

Comment 7 Bryan Kearney 2014-07-02 14:06:25 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.


Note You need to log in before you can comment on or make changes to this bug.